This App cannot be installed on iPad

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, kevinmiller, robinmiller

Post Reply
jessamy99
Posts: 103
Joined: Thu Oct 25, 2012 3:23 pm

This App cannot be installed on iPad

Post by jessamy99 » Fri Jul 10, 2020 1:51 pm

Dear Team,

Having updated several Apps successfully, I have had a refusal for the last two.

The message from the resolution centre states that my new builds cannot be installed on an iPad.

They install on mine for testing without a problem.

Do I need to add in a line in the Plist after this? Something like iPadOS ?
<key>CFBundleSupportedPlatforms</key>
<array>
<string>iPhoneOS</string>

Any ideas would be very welcome!!

All the best,
jessamy.

PS. I am using LiveCode 9.6.0 (dp2) with XCode 11.1 on a Mac running Movaje.
In settings I am using 10.1 as before.



Here I have pasted the resolution message:-

Guideline 2.3 - Performance - Accurate Metadata


We were unable to install the app on iPad. The UIRequiredDeviceCapabilities key in the Info.plist is set in such a way that the app will not install on iPad .

Next Steps

To resolve this issue, please check the UIRequiredDeviceCapabilities key to verify that it contains only the attributes required for your app features or the attributes that must not be present on the device. Attributes specified by a dictionary should be set to true if they are required and false if they must not be present on the device.

Resources

Please review the Technical Q&A 1397: Understanding the UIRequiredDeviceCapabilities key for information on the UIRequiredDeviceCapabilities key.

You may also wish to review the dictionary keys table in the "Declaring the Required Device Capabilities" section of the App Programming Guide for iOS.

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 695
Joined: Fri Feb 06, 2015 4:03 pm

Re: This App cannot be installed on iPad

Post by LiveCode_Panos » Fri Jul 10, 2020 2:45 pm

Hello jessamy,

The UIRequiredDeviceCapabilities key is set by the options you choose in this section:

So, if you choose e.g. GPS as "required", and an iPad has no GPS, then this app will not be available for installation in this iPad.

So I suggest leaving all these options to n/a.

Also, make sure that in the iOS standalone settings you have chosen "iPod, iPhone and iPad" in the dropdown at the top of the iOS settings.

Kind regards,
Panos
--

PS: Why are you still using LC 9.6 DP-2, the LC 9.6.0 stable is now available: https://downloads.livecode.com/livecode/
Attachments
Screenshot 2020-07-10 at 16.41.19.png

jessamy99
Posts: 103
Joined: Thu Oct 25, 2012 3:23 pm

Re: This App cannot be installed on iPad

Post by jessamy99 » Fri Jul 10, 2020 3:05 pm

Thankyou Panos,

I had everything turned off as these two Apps do not need anything.

I will try again using the LiveCode linked in your message.
It may well have been my own fault if I edited the plist wrongly.

I will let you know!!

Thankyou again.
All the best,
Jessamy

jessamy99
Posts: 103
Joined: Thu Oct 25, 2012 3:23 pm

Re: This App cannot be installed on iPad

Post by jessamy99 » Sun Jul 12, 2020 6:20 pm

Thankyou Panos,

This time it was ok and no error message from the resolution centre!!

It must have been my mistake!!

All the best,
Jessamy

PS.Actually I think it was because I needed to update to LiveCode 9.6.0!!
Thanks again.

Post Reply

Return to “iOS Deployment”